Subject: Re: git-svn strangeness with tags and Squirrelmail repo

From: Eric Wong <[email-masked]>
Date: Wed, 20 Jun 2007 00:24:46 -0700

Martin Langhoff <[email-masked]> wrote:
> First -- kudos to Eric Wong and company: git-svn can deal with the odd
> errors and invalid chunks of XML or UTF-8 that SVN spits at me every
> once in a while. And it "just works" in 99% of the situation. Great
> stuff.

You're welcome.  At the same time I'm not reallu sure what you mean by
"odd errors and invalid chunks of XML or UTF-8 that SVN spits at me"
unless it's some joke about SVN I'm not getting :)

> Now... on to my 1% where it doesn't "just work"... I am trying to get
> a working svn to git gateway for Squirrelmail, and getting in trouble
> with the tags setting...
> 
>  git --version
>  git version 1.5.2.2.238.g7cbf2f2
> 
> For starters - it "just works" if I run
>  git svn init  -T trunk -t tags -b branches \
>   http://squirrelmail.svn.sourceforge.net/svnroot/squirrelmail
> git svn fetch
> 
> However, every tree (for tags, branches and trunk) is prefixed with
> "squirrelmail" and commits to the toplevel "plugins" directory get in
> the way. Also, I want the branches and tags to appear in more natural
> places, so after init, and before fetch, I change .git/config to say:
> 
>   [svn-remote "svn"]
>        url = http://squirrelmail.svn.sourceforge.net/svnroot/squirrelmail
>        fetch = trunk/squirrelmail:refs/heads/svn/trunk
>        branches = branches/*/squirrelmail:refs/heads/svn/*
>        tags = tags/*/squirrelmail:refs/tags/svn/*

git-svn expects 'refs/remotes/' in the local ref name.  Otherwise,
the left-hand side is correct.

> and when I do that -- trunk and branches do what I want, but tags
> aren't imported anymore. :-/

Now its odd to me that trunks and branches even works with those ref
names.

-- 
Eric Wong